/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
const Alexa = require('ask-sdk-core');

const LogoTouchHandler = {
  canHandle(handlerInput) {
    return Alexa.getRequestType(
        handlerInput.requestEnvelope) === 'Alexa.Presentation.APL.UserEvent'
      && Alexa.getRequest(
        handlerInput.requestEnvelope).arguments.includes('starport75Logo');
  },
  handle(handlerInput) {
    return handlerInput.responseBuilder
      .speak(handlerInput.t('WELCOME_TOUCH'))
      .withShouldEndSession(false)
      .getResponse();
  }
};

module.exports={
  LogoTouchHandler:LogoTouchHandler
};
