/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
const Alexa = require('ask-sdk-core');

const ScheduleTripIntentHandler_Link = {
  canHandle(handlerInput) {
    return Alexa.getRequestType(handlerInput.requestEnvelope) 
                                                  === 'IntentRequest'
      && Alexa.getIntentName(handlerInput.requestEnvelope) 
                                                  === 'ScheduleTripIntent'
      && !Alexa.getAccountLinkingAccessToken(handlerInput.requestEnvelope);
  },
  handle(handlerInput) {
    const linkText = handlerInput.t('LINK_MSG');

    return handlerInput.responseBuilder
        .speak(linkText)
        .withLinkAccountCard()
        .getResponse();
  }
};

module.exports=ScheduleTripIntentHandler_Link;
