#!/bin/bash
#---
# Excerpted from "Build Talking Apps",
# published by The Pragmatic Bookshelf.
# Copyrights apply to this code. It may not be used to create training material,
# courses, books, articles, and the like. Contact us if you are in doubt.
# We make no guarantees that this code is fit for any purpose.
# Visit https://pragprog.com/titles/cwalexa for more book information.
#---

test_project() {
  PROJECT_DIR=$1
  pushd . > /dev/null
  cd $PROJECT_DIR
  bst test
  if [ "$?" -ne "0" ]; then
    echo "TESTS FAILED FOR $PROJECT_DIR"
    popd > /dev/null
    exit 1
  fi
  popd
}

test_project test/starport-75
test_project slots/starport-75
test_project dialog/starport-75-ations
test_project dialog/starport-75-delegate
test_project integration/starport-75-user-info
test_project integration/starport-75-account-linking
test_project ssml/starport-75
test_project locale/starport-75
