/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
module.exports = {
  async getProduct(handlerInput, referenceName) {
    const ispService = handlerInput
                  .serviceClientFactory
                  .getMonetizationServiceClient();
    const locale = handlerInput.requestEnvelope.request.locale;    
    return ispService.getInSkillProducts(locale).then(
      function(result) {
        const matches = result.inSkillProducts.filter(
                        product => product.referenceName === referenceName);
        return (matches.length > 0) ? matches[0] : null;
      }
    );
  }
};