/***
 * Excerpted from "Build Talking Apps",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material,
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose.
 * Visit https://pragprog.com/titles/cwalexa for more book information.
***/
const Alexa = require('ask-sdk-core');

const HelloWorldIntentHandler = {
  canHandle(handlerInput) {
/*
      ...
*/
  const requestEnvelope = handlerInput.requestEnvelope;
    return Alexa.getRequestType(requestEnvelope) === 'IntentRequest'
        && Alexa.getIntentName(requestEnvelope) === 'HelloWorldIntent';
  },
  handle(handlerInput) {
/*
      ...
*/
    const speakOutput = handlerInput.t('HELLO_MSG');

    if (Alexa.getSupportedInterfaces(handlerInput.requestEnvelope)
                                        ['Alexa.Presentation.APL']) {
      handlerInput.responseBuilder
          .addDirective({
            type : 'Alexa.Presentation.APL.RenderDocument',
            document: require('./apl/hello.json')
          });
      /*
      handlerInput.responseBuilder
          .addDirective({
            type : 'Alexa.Presentation.APL.RenderDocument',
            document: {
              "type": "Link",
              "src": "doc://alexa/apl/documents/hello"
            },
          });
      */
    }

    return handlerInput.responseBuilder
        .speak(speakOutput)
        .getResponse();
  }
};

module.exports = HelloWorldIntentHandler;
